gldRobMoments {fBasics} | R Documentation

## Robust Moments for the GLD

### Description

Computes the first four robust moments for the Generalized Lambda Distribution.

### Usage

    gldMED(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)
    gldIQR(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)
    gldSKEW(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)
    gldKURT(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

### Arguments

`lambda1, lambda2, lambda3, lambda4` | are numeric values where `lambda1` is the location parameter, `lambda2` is the location parameter, `lambda3` is the first shape parameter, and `lambda4` is the second shape parameter.

### Value

All values for the `*gld` functions are numeric vectors: `d*` returns the density, `p*` returns the distribution function, `q*` returns the quantile function, and `r*` generates random deviates.

All values have attributes named `"param"` listing the values of the distributional parameters.

### Author(s)

Diethelm Wuertz.

### Examples

    ## gldMED -
       # Median:
       gldMED(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

    ## gldIQR -
       # Inter-quartile Range:
       gldIQR(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

    ## gldSKEW -
       # Robust Skewness:
       gldSKEW(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

    ## gldKURT -
       # Robust Kurtosis:
       gldKURT(lambda1 = 0, lambda2 = -1, lambda3 = -1/8, lambda4 = -1/8)

[Package fBasics version 3042.89 Index]